Eclipse GEF 3.3

## org.eclipse.gef.ui.actions
Class MatchWidthAction

    java.lang.Object
      org.eclipse.gef.ui.actions.WorkbenchPartAction
          org.eclipse.gef.ui.actions.SelectionAction
              org.eclipse.gef.ui.actions.MatchSizeAction
                  org.eclipse.gef.ui.actions.MatchWidthAction

public class MatchWidthAction
extends org.eclipse.gef.ui.actions.MatchSizeAction

An action that matches the width of all selected EditPart's Figures to the width of the Primary Selection EditPart's Figure.

Constructor Summary
`MatchWidthAction(IWorkbenchPart part)` Constructs a `MatchWidthAction` and associates it with the given part.

Method Summary
`protected boolean` `calculateEnabled()` Calculates and returns the enabled state of this action.
`protected double` `getPreciseHeightDelta(PrecisionRectangle precisePartBounds, PrecisionRectangle precisePrimaryBounds)` Returns 0 to make this action affect only the width delta.
`protected double` `getPreciseWidthDelta(PrecisionRectangle precisePartBounds, PrecisionRectangle precisePrimaryBounds)` Returns the width delta between the two bounds.
`void` `run()` Executes this action, cycling through the selected EditParts in the Action's viewer, and matching the size of the selected EditPart's Figures to that of the Primary Selection's Figure.

Methods inherited from class org.eclipse.gef.ui.actions.SelectionAction
`dispose, getSelectedObjects, getSelection, handleSelectionChanged, setSelection, setSelectionProvider, update`

Methods inherited from class org.eclipse.gef.ui.actions.WorkbenchPartAction
`execute, getCommandStack, getWorkbenchPart, init, isEnabled, refresh, setLazyEnablementCalculation, setWorkbenchPart`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MatchWidthAction

    public MatchWidthAction(IWorkbenchPart part)

  Constructs a `MatchWidthAction` and associates it with the given part.

Parameters:
  `part` - The workbench part associated with this MatchWidthAction

Method Detail

### getPreciseHeightDelta

    protected double getPreciseHeightDelta(PrecisionRectangle precisePartBounds,
                                           PrecisionRectangle precisePrimaryBounds)

  Returns 0 to make this action affect only the width delta.

  Parameters:
    `precisePartBounds` - the precise bounds of the EditPart's Figure to be matched
    `precisePrimaryBounds` - the precise bounds of the Primary Selection EditPart's Figure
  Returns:
    0.

### calculateEnabled

    protected boolean calculateEnabled()

  Description copied from class: `WorkbenchPartAction`
  Calculates and returns the enabled state of this action.

  Specified by:
    `calculateEnabled` in class `WorkbenchPartAction`
  Returns:
    `true` if the action is enabled
  See Also:
    `WorkbenchPartAction.calculateEnabled()`

### getPreciseWidthDelta

    protected double getPreciseWidthDelta(PrecisionRectangle precisePartBounds,
                                          PrecisionRectangle precisePrimaryBounds)

  Returns the width delta between the two bounds. Separated into a method so that it can be overriden to return 0 in the case of a height-only action.

  Parameters:
    `precisePartBounds` - the precise bounds of the EditPart's Figure to be matched
    `precisePrimaryBounds` - the precise bounds of the Primary Selection EditPart's Figure
  Returns:
    the delta between the two widths to be used in the Request.

### run

    public void run()

  Executes this action, cycling through the selected EditParts in the Action's viewer, and matching the size of the selected EditPart's Figures to that of the Primary Selection's Figure.

Eclipse GEF 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.